@import url(common.css);

header {
  &::before {
    opacity: 1;
  }

  &.open::before {
    opacity: 0;
  }
}

.fv {
  padding-top: calc(var(--header-h) + max(3vw, 1.4em));
  padding-inline: 10vw;

  &.ver2 {
    padding-bottom: 0;

    .hero {
      border: none;
    }
  }
}

.breadcrumbs {
  display: flex;
  gap: 10px;
  align-items: center;
  margin-bottom: 1.4em;

  a {
    padding-top: 0.3em;
    transition: color 0.4s;

    &:not([href=""]):hover {
      color: var(--primary-c);
    }
  }

  .greater-arrow {
    width: 8px;
    aspect-ratio: 1;
    rotate: 45deg;
    border-top: 1px solid;
    border-right: 1px solid;
    margin-right: 0.3em;
  }
}

.hero {
  display: flex;
  overflow: hidden;
  border-radius: 2em;
  border: 5px solid var(--primary-c);
  position: relative;
  z-index: 3;
  aspect-ratio: 8/3;
  width: 100%;

  img {
    width: 50%;
    height: 100%;
    object-fit: cover;
  }

  h1 {
    position: absolute;
    inset: 0;
    margin: auto;
    display: grid;
    border-radius: 50%;
    aspect-ratio: 1;
    background-color: var(--primary-c);
    width: max(28%, 160px);
    place-items: center;
    place-content: center;
    color: #fff;
    text-align: center;
    gap: 8px;
  }

  span {
    font-weight: 300;
    font-size: max(2.4vw, 1.5em);
  }
}

@media (width < 1024px) {
  .fv {
    padding-inline: 5vw;
  }
}

@media (width < 768px) {
  .fv {
    padding-inline: 0;
    padding-bottom: 110px;

    &.ver2 .hero {
      padding-block: 90px;
      aspect-ratio: auto;

      h1 {
        margin-top: 28px;
        inset: 0;
      }
    }
  }

  .breadcrumbs {
    padding-left: 2em;
    margin-bottom: 1.2em;
  }

  .hero {
    border-radius: 0;
    border-inline: none;
    overflow: visible;
    border-width: 3px;

    h1 {
      width: 150px;
      gap: 6px;
      inset: auto 0 -75px;
    }
  }
}